Subject: Re: Make and javac compliler problem in bash
From: Paul Kinnucan <[email-masked]>
To: Carl Thompson <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Mon, 12 Jun 2000 16:02:40 -0400

At 11:10 AM 6/12/00 -0700, Carl Thompson wrote:
>Paul Kinnucan wrote:
>> 
>> At 10:21 AM 6/12/00 -0700, you wrote:
>> ><Problem 1>
>> >I have a Makefile which compiles java program, if I type
>> >make, after the screen shows the "javac xxxx.java", and then
>> >hangs.  The Makefile doesn't need to
>> >be complex. Any simple Makefile that compiles even HelloWorld.java
>> >will make the bash console stuck.
>> 
>> See "Why is make behaving badly?" in the Cygnus faq at
>> http://sourceware.cygnus.com/cygwin/faq/
>
>This FAQ entry doesn't seem to address his problem.

According to the FAQ entry, the Cygnus version of make runs in two modes:
Unix and Windows. In Windows mode, make use the Windows command shell  to
launch applications. Thus, in Jin's case, assuming he was running make in
Windows mode (the default), bash launches make which then uses cmd to
launch javac. javac sends it standard out to the Windows command shell and
then make tries forward it to a command shell that it assumes is also cmd
(because it is running in Windows mode) but which is really bash. The
incompatibility between Windows and Unix SIO  seems a reasonable
explanation to me for Jin's problem.

I may be wrong but certainly it wouldn't hurt for Jin to try to run Cygnus
make in Unix mode if he intends to run it under bash.

>
>> ><Problem 2>
>> >It seems to me that javac in Windows will accept directories only in
>> >MS-DOS way. For example, "javac -classpath /a/b/c" won't work.
>> >
>> 
>> How could it be otherwise? The Windows version of javac is, surprise,
>> a Windows application. Windows applications don't recognize Unix
>> paths. Ergo, the Windows version of javac does not recognize Unix
>> paths. QED.
>
>Actually, Win32 _does_ allow path names to use forward slashes as the
>directory separator.  The FAQ question you pointed out above even mentions

But not to BEGIN a path as in Jin's example.

- Paul

--
Want to unsubscribe from this list?
Send a message to [email-masked]